org.apache.solr.client.solrj.cloud.autoscaling

## Class PolicyHelper

- java.lang.Object
- - org.apache.solr.client.solrj.cloud.autoscaling.PolicyHelper

    public class PolicyHelper
    extends Object

### Nested Class Summary

Nested Classes
`static class` `PolicyHelper.SessionRef`

### Field Summary

Fields
`static ThreadLocal<Long>` `REF_VERSION`
`static int` `SESSION_EXPIRY`
`static ThreadLocal<PolicyHelper.SessionRef>` `SESSION_REF`

### Constructor Summary

Constructors
Constructor and Description
`PolicyHelper()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `clearFlagAndDecref(PolicyHelper.SessionRef policySessionRef)`
`static List<ReplicaPosition>` `getReplicaLocations(String collName, AutoScalingConfig autoScalingConfig, ClusterDataProvider cdp, Map<String,String> optionalPolicyMapping, List<String> shardNames, int nrtReplicas, int tlogReplicas, int pullReplicas, List<String> nodesList)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SESSION_EXPIRY

    public static final int SESSION_EXPIRY

See Also:
  Constant Field Values

#### REF_VERSION

    public static ThreadLocal<Long> REF_VERSION

#### SESSION_REF

    public static ThreadLocal<PolicyHelper.SessionRef> SESSION_REF

### Constructor Detail

#### PolicyHelper

    public PolicyHelper()

### Method Detail

#### getReplicaLocations

    public static List<ReplicaPosition> getReplicaLocations(String collName,
                                                            AutoScalingConfig autoScalingConfig,
                                                            ClusterDataProvider cdp,
                                                            Map<String,String> optionalPolicyMapping,
                                                            List<String> shardNames,
                                                            int nrtReplicas,
                                                            int tlogReplicas,
                                                            int pullReplicas,
                                                            List<String> nodesList)

#### clearFlagAndDecref

    public static void clearFlagAndDecref(PolicyHelper.SessionRef policySessionRef)